function a = lrn(a, state, actions, rewards, params)
%Implements the learning algorithm of the agent
%  A = LRN(A, STATE, ACTION, REWARD, PARAMS)
%  Implements the learning algorithm of the agent. This function is called
%  at each learning iteration. The learning behaviour will be initialized
%  prior to this function being called.
%
%  This function is a template and performs no operations. This functions'
%  input and output argument(s) must conform to the specifications below.
%  Any actual implementation of this template must be coupled with an
%  implementation of the lrn_init() template.
%
%  Parameters:
%   A           - the agent
%   STATE       - the agent's view over the world state. A column vector.
%   ACTIONS     - the agent's view over the last executed joint action. A
%               column vector. 
%   REWARDS     - the agent's view over the last received joint reward. A
%               column vector. 
%   PARAMS      - a structure containing extra information on the basis
%               of which the agent may learn.
%   Returns:
%   A           - the updated agent
%
%
%  See also agent_control, lrn_init

%  Author:      Lucian Busoniu
%  Version:     1.0
%  History:


% returning a
% END lrn() ============================================================
