function a = lrn_init(a, info)
%Template. Initializes the agent's learning behaviour
%  A = LRN_INIT(A, INFO)
%  Initializes the agent's learning behaviour.
%
%  This function is a template and performs no operations. This function's
%  input and output argument(s) must conform to the specifications below.
%  Any actual implementation of this template must be coupled with an
%  implementation of the lrn() template.
%
%  Parameters:
%   A           - the agent
%   INFO        - a structure containing various informative data. This
%               data comes mainly from the world implementation.
%
%  The INFO structure will contain at least the following fields:
%  'episodic'       - a flag signaling whether the task is episodic
%  'nagents'        - the number of agents in the task
%  'statespacesize' - the size of the world state space
%  'actionspacesize'- the size of the joint action space
%  'imap'           - a column vector specifying where in the world state
%  vector the agent finds its own state and the common state of the world
%  (i.e. state elements independent of other agents), and where on the
%  joint action and reward vectors the agent finds its own action and
%  reward.
%
%  See world_info for the structure of some of these fields.
%
%  In addition, the function has access to the learning parameters and
%  index map of the agent, stored under fields 'learnparam' and 'indices'.
%
%  This function should store the names of the volatile agent fields (i.e.
%  the fields that are only relevant during learning) in a cell array field
%  named 'volatile'. Global volatile variables is supported. Use the prefix
%  "global:" in giving the volatile variable's name. Example:
%       a.volatile = {'global:GLOBAL_DATA', 'localfield1', 'localfield2'};
%
%
%  See also lrn, agent_initlearn

%  Author:      Lucian Busoniu
%  Version:     1.0
%  History:


% init data structures

% tag volatile variables


% returning a
% END lrn_init() ============================================================
