function [info] = robotsgw_info(gw)
%Returns information about the robotsgw
%  [INFO] = robotsgw_INFO(GW)
%  Parameters:
%   GW          - the robotsgw
%  Returns:
%   INFO        - the world information structure
%
%  For the contents of the INFO structure, see world_info
%
%
%  See also robotsgw, agent_init

%  Author:      Lucian Busoniu
%  Version:     1.0
%  History:

DISCRETE = 1;
info.imaps = [1:2:2*gw.acount-1; 2:2:2*gw.acount; ones([1 gw.acount]); zeros(1, gw.acount); 1:gw.acount; 1:gw.acount; 1:gw.acount];
info.statespacesize = [repmat(DISCRETE, 2*gw.acount, 1) repmat(gw.size', gw.acount, 1)];
info.actionspacesize = [repmat(DISCRETE, gw.acount, 1) repmat(5, gw.acount, 1)];
info.statenames = cell(2 * gw.acount, 1);
info.actionnames = cell(gw.acount, 1);
for i = 1:gw.acount,
    info.statenames{i * 2 - 1} = ['x' num2str(i)];
    info.statenames{i * 2} = ['y' num2str(i)];
    info.actionnames{i} = ['dir' num2str(i)];
end;


% END robotsgw_indexmaps() ================================================