function [w, stateviews, actionviews, rewardviews, finished] = world_dynamics(w, actions)
%Template. Implements the discrete-time dynamics of the world
%  [W, STATEVIEWS, ACTIONVIEWS, REWARDVIEWS[, FINISHED]] = WORLD_DYNAMICS(W, ACTIONS)
%  Transforms the state of the world based on the agent actions. Also
%  computes the instantaneous performance index, the reward function.
%  Complete, incomplete or uncertain observations of states, actions, and
%  rewards may be implemented via the views mechanism.
%
%  This function is a template and performs no operations.
%  A new world type must implement this function under the name
%  <world_type>_advance. This functions' input and return arguments must
%  conform to the specifications below.
%  
%  Parameters:
%   W           - the world.
%   ACTIONS     - the joint action vector of the agents. 
%               May contain NaN elements, signifying 'noop' for agents that
%               completed their task.
%
%  Returns:
%   W           - the world, altered as a result of the agents' actions
%   STATEVIEWS  - the views of the agents over the state, nth agent view on
%               the nth column.
%   ACTIONVIEWS - the views of the agents over the joint action, nth agent
%               view on the nth column.
%   REWARDVIEWS - the views of the agents over the joint reward, nth agent
%               view on the nth column.
%   FINISHED    - (only for episodic worlds) a boolean row vector
%               containing for each agent a flag that signals if that
%               agents' task has finished in this trial (either by success,
%               or failure). nth agent flag on the nth column.
%
%
%  See also world

%  Author:      Lucian Busoniu
%  Version:     1.0
%  History:


% Implement this as efficiently as possible, as it will probably be called
% very often

% Change world state and any affected data structures

% Determine which agents have finished their tasks

% Update world view, if it exists

% Create possibly personalized agent views over states, actions, and rewards


% returning w, stateviews, actionviews, rewardviews
% END world_advance()
% =======================================================================